@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/Roboto-Regular.woff2) format('woff2'),
        url(/fonts/Roboto/Roboto-Regular.woff) format('woff'),
        url(/fonts/Roboto/Roboto-Regular.ttf) format('ttf');
}
@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 400;
    src: url(/fonts/Roboto/Roboto-Italic.woff2) format('woff2'),
    url(/fonts/Roboto/Roboto-Italic.woff) format('woff'),
    url(/fonts/Roboto/Roboto-Italic.ttf) format('ttf');
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url(/fonts/Roboto/Roboto-Bold.woff2) format('woff2'),
    url(/fonts/Roboto/Roboto-Bold.woff) format('woff'),
    url(/fonts/Roboto/Roboto-Bold.ttf) format('ttf');
}


html{
    height: 100%;
}

body{
    height: 100%;
}

#wrapper{
    position: absolute;
    height: 100%;
    width: 100%;
}

.content{
    overflow: hidden;
    position: absolute;
    top: 50px;
    bottom: 0;
    width: 100%;
}

/* TODO uporządkować */

.toolbar{
    color: #444444;
    margin-bottom: 0;
    background-color: #fff;
    /*background-color: rgba(255,255,255,0.8);*/
    overflow-x: hidden;
}

.bottomToolbar{
    position: absolute;
    height: 230px;
    bottom: 0;
    border-top: solid 2px #808080;
    overflow-y: hidden;
}

.bottomToolbarClosed{
    position: absolute;
    bottom: 0;
}

div.toolbox-container > div {
    border-bottom: solid 2px #808080
}

.toolbox-container{
    /*border: solid 1px darkgrey;*/
    overflow-x: hidden;
    overflow-y: hidden;
}

div.toolbox-container > div {
    height: 100%;
}

/*TODO usunąć po usunięciu obiektu z pliku html*/

#right-nav{
    top: 0;
    right: 0;
}

div.mapboxgl-ctrl-top-right {
    z-index: 0;
}

@media (min-width: 768px) {
    .navbar-nav > li > a {
        padding-top: 8px;
        padding-bottom: 8px;
        padding-left: 2px;
        padding-right: 2px;

    }
}

div.clearfix > p.pull-left{
    color: black;
}

label{
    margin-bottom: 0;
    font-weight: normal;
}

hr{
    margin: 2px 0 2px 0;
    height: 1px;
    background-color: #808080;
}

input[type=checkbox] {
    display: none;
}
input[type=checkbox]:checked + label::before {
    margin-right: 5px;
    content: url(../images/icons/checkbox_checked.png);
}

input[type=checkbox]:not(:checked) + label::before {
    margin-right: 5px;
    content: url(../images/icons/checkbox_unchecked.png);
}

input[type="radio"] {
    display: none;
}
input[type="radio"]:checked + label::before {
    margin-right: 5px;
    content: url(../images/icons/radio_on.png);
}

input[type="radio"]:not(:checked) + label::before {
    margin-right: 5px;
    content: url(../images/icons/radio_off.png);
}


.xwp-tree-root{
    margin-top: 5px;
    background-color: #f0f0f0;
    overflow-y: auto;
}

.xwp-tree-node {
    font-weight: normal;
}

.xwp-tree-node:hover {
    /*background-color: #ffbb55;*/
    color:#ff6600;
}

.xwp-selected-tree-node {
    color : #FFF;
    background-color: #FF6600;
}

.xwp-selected-tree-node:hover {
    color:#000000;
    /*background-color: #ffbb55;*/
}

.xwp-node-checked {
    content: url("/images/icons/checkbox_checked.png");
    width: 12px;
    height: 12px;
    vertical-align: baseline;
}
.xwp-node-unchecked {
    content: url("/images/icons/checkbox_unchecked.png");
    width: 12px;
    height: 12px;
    vertical-align: baseline;
}
.xwp-node-partly_checked {
    content: url("/images/icons/checkbox_partly_checked.png");
    width: 12px;
    height: 12px;
    vertical-align: baseline;
}


.navbar-default{
    border-bottom: 4px solid #808080;
    z-index: 3;
}

.navbar-brand {
    width: 200px;
}

.searchclear {
    position: absolute;
    left: 185px;
}

.searchactive {
    color: #ff6600;
}

select {
    width: 100%;
    border: none;
    height: 20px;
    background-color: #f0f0f0;
    /*border-color: transparent;*/
    margin-bottom: 5px;
    margin-top: 5px;
    /*color: #ff6600;*/
}

.button-report-search{
    width: 100%;
    height: 20px;
    margin-bottom: 4px;
    margin-top: 4px;
    padding: 0;
    background-color: #f0f0f0;
}

.button-report-search-half{
    width: 48%;
    height: 20px;
    margin-bottom: 4px;
    margin-top: 4px;
    padding: 0;
    background-color: #f0f0f0;
    /*float: left;*/
}

hr.report-search{
    margin-bottom: 4px;
    margin-top: 4px;
}

[data-toggle="collapse"].collapsed .if-not-collapsed {
    display: none;
}
[data-toggle="collapse"]:not(.collapsed) .if-collapsed {
    display: none;
}

.xw-modal-content{
    background-color: #FFFFFF;
    border: solid 1px #808080;
    padding: 10px;
    /*margin-left: 0;*/
    /*border: solid 1px yellow;*/
}

.xw-modal-header{
    padding: 0;
    border-bottom: none;
}

.xw-modal-title {
    font-size: 14px;
    color: black;
    line-height: 26px;
}

.modal-body {
    padding: 10px;
}

.xw-tree-node-content{
    font-weight: normal;
}

.xw-report-tree-panel {
    overflow-x: scroll;
    background-color: #f0f0f0;
    overflow-y: auto;
}

.bottomToolbarHidden {
    height: 20px;
}

.myColorSpan {
    display: block;
    left: 0;
    top: 0;
    width: 30px;
    height: 30px;
    border-radius: 5px;
}

.myColorSpanSelected {
    border: solid medium #0f0f0f;
    padding: 5px;
    border-radius: 5px;
}

.xw-checkbox-checked {

}

.xw-toolbar-input {
    padding: 0;
    height: 20px;
    font-size: 12px;
    width: 100%;
}

.xw-toolbar-margin-like-select {
    margin-bottom: 5px;
    margin-top: 5px;
}

.xw-toolbar-button {
    padding: 1px 4px;
}

.xw-toolbar-header {
    padding: 8px 15px;
}

.xw-toolbar-title {
    font-size: 1.5em;
    color: #0f0f0f;
}

.xw-form-group {
    margin-bottom: 4px;
}

.modal-fullscreen {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

.modal-content {
    height: auto;
    min-height: 100%;
    border-radius: 0;
}

.xwp-parent-check-mark {
    padding-bottom: 3px;
}

.tab-content {
    padding: 4px;
}

.xw-report-switch-group {
    margin-top: 4px;
    margin-bottom: 6px;
}

.xw-report-switch-btns {
    margin-right: 6px;
    color: #fb6600;
    background-color: #ffffff;
}

.xw-report-switch-btns:active
{
    color: #ffffff;
    background-color: #fb6600;
}

.xw-report-filter-edit {
    margin: 4px 0 4px 0;
}

.xw-btn-4 {
    width: 25%;
    padding: 0px;
    margin: 0px;
}

.xw-btn-5 {
    width: 20%;
    padding: 0px;
    margin: 0px;
}

.xw-btn-archpanel-2 {
    width: 50%;
    padding: 0px;
    margin: 0px;
}

.xw-btn-animpanel {
    width: 14%;
}

.xw-btn-animpanel-m {
    width: 15%;
}

.xw-no-padding {
    padding: 0px;
}

.xw-panel-row {
    margin-left: 0;
    margin-right: 0;
}

.xw-settings-input {
    margin-bottom: 4px;
    margin-top: 4px;
}

.color-picker-wrapper {
    width: 100%;
    height: 34px;
    padding: 6px 12px;
}
.color-picker-input {
    width: 100%;
}

.mobileUpper, .mobileLower {
    position: absolute;
    left: 0;
    right: 0;
}

.mobileUpper {
    top: 0;
    height: 60%;
}

.mobileLower {
    bottom: 0;
    height: 40%;
    overflow:scroll;
}

.mobileLeft, .mobileRight {
    position: absolute;
    top: 46px;
    bottom: 0;
}

.mobileLeft {
    left: 0;
    width: 60%;
}

.mobileRight {
    right: 0;
    width: 40%;
    overflow:scroll;
}
.nabnar-disabled {
    cursor: not-allowed;
}

.navbar-logout-item {
    min-width:130px; max-width: 130px; text-align: center;
}

@media only screen and (max-width: 600px) {
    div.mapboxgl-ctrl-top-right {
        top: 46px;
    }

}

.dropdown-menu {
    z-index: 3;
}

.form-signin-heading {
    margin-top: 6em; margin-bottom: 0.75em;
}

.moedit-panel {
    padding: 0px 4px;
}

.xw-mb4px {
    margin-bottom: 4px;
}
.xw-mb0 {
    margin-bottom: 0;
}
.xw-mt6 {
    margin-top: 6px;
}
.xw-mt0 {
    margin-top: 0;
}
.xw-mr4 {
    margin-right: 4px;
}

.xw-width124 { width: 124px;}
.xw-w20percent{ width: 20%; }
.xw-w38percent{ width: 38%; }
.xw-w100percent{ width: 100%; }
.xw-w50percent{ width: 50%; }
.xw-w33percent{ width: 33%; }
.xw-w25percent{ width: 25%; }
.xw-modal-map {
    height: 500px; min-height: 100%; padding: 0;
}

.xw-minw-50 {
    min-width: 50px;
}
.xw-minw-80 {
    min-width: 80px;
}
.xw-pr10 {
    padding-right: 10px;
}
.xw-pr0 {
    padding-right: 0;
}
.xw-pl20 {
    padding-left: 20px;
}
.xw-pl4 {
    padding-left: 4px;
}
.xw-pt4 {
    padding-top: 4px;
}
.xw-pt8 {
    padding-top: 8px;
}
.xw-pb8 {
    padding-bottom: 8px;
}
.xw-p10 {
    padding: 10px;
}
.xw-p0 {
    padding: 0;
}
.xw-h500 {
    height: 500px;
}
.xw-h550 {
    height: 550px;
}

.xw-h30 {
    height: 30px;
}

.xw-rotate-180 {
    transform: rotate(180deg)
}
.xw-no-overflow-y {
    overflow-y: hidden
}
.xw-fw700 {
    font-weight: 700;
}
.xw-maxh200 {
    max-height: 200px;
}

.xw-display-none {
    display: none;
}
.xw-display-flex {
    display: flex;
}
.xw-border-none {
    border: none;
}

.xw-elo-message {
    height: 500px; text-align: center; vertical-align: middle; line-height: 500px;
}

.xw-h4rep {
    margin-top: 0.75em; border-bottom: solid 1px #ddd;
}

.xw-bkg-red {
    background-color: red;
}

.xw-bkg-green {
    background-color: green;
}

.xw-bkg-grey {
    background-color: lightgrey;
}

.xw-red {
    color: red;
}

.xw-float-left {
    float: left;
}

.ma-b0 {
    margin-bottom: 0px;
}
.ma-y-0 {
    margin-top: 0px;
    margin-bottom: 0px;
}

.sticky-header thead tr td{
    background: #D3D3D3;
    position: sticky;
    z-index: 1;
    top: 0;
}

.connection-warning {
    font-size: 20px;
    color: #fb6600;
}

.connection-warning-collapsed {
    border: 0px !important;
}

.connection-warning-div {
    margin-top: 8px;
    padding-right: 15px;
}

.glyphicon.spinning {
    animation: spin 1s infinite linear;
    -webkit-animation: spin2 1s infinite linear;
}

.glyphicon.loader {
    font-size: 36px;
    margin-top: 36px;
}

@keyframes spin {
    from { transform: scale(1) rotate(0deg); }
    to { transform: scale(1) rotate(360deg); }
}

@-webkit-keyframes spin2 {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}

strong.maptooltip {
    font-size: 16px;
    padding-bottom: 4px;
}

.nav_version {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: normal;
    line-height: 1.428571429;
    color: #888888;
    white-space: nowrap;
}

.monitors .details-json td {
    padding: 0;
}

.json-wrapper {
    position: relative;
    box-sizing: border-box;
}

.json-wrapper .json-contener {
    height: 250px;
    overflow-y: scroll;
    padding: 10px;
    box-sizing: content-box;
}

.json-wrapper .copy-clipboard {
    position: absolute;
    right: 30px;
    top: 10px;
}

.json-wrapper .copy-clipboard .btn:focus, .json-wrapper .copy-clipboard .btn-default:focus {
    outline: none;
    background-color: transparent;
}

.json-wrapper .copy-clipboard i {
    color: #8a8a8a;
    font-size: 1.4em;
    cursor: pointer;
}

.json-wrapper .copy-clipboard i:hover {
    color: #aaaaaa;
}
